local mod = "Enhanced Detection (Less Lite)"
local version = "2.0.1"

local config = require("OperatorJack.EnhancedDetection.config")

local function createPage(template)
    local page = template:createSideBarPage{
        description =
            mod .. "\n" ..
            "Version " .. version .. "\n" ..
            "\n" ..
            "Ce mod est une version allge de Dtection amliore qui implmente des effets visuels pour les sorts de dtection. L o le mod original implmentait de multiples nouveaux effets de dtection, cette version n'en implmente que deux : Dtection des piges et Dtection des portes.\n" ..
            "\n" ..
            "Passez le curseur sur un paramtre pour afficher plus d'informations  son sujet. Toute modification ne sera effective qu'aprs un redmarrage du jeu.",
    }

    page:createYesNoButton{
        label = "Activer Dtection des piges",
        description =
            "Si cette option est active, l'effet Dtection de piges sera ajout  l'effet vanilla Dtection de cls. Il sera galement ajout au sort Nez de mendiant du signe de la Tour.\n" ..
            "\n" ..
            "Cet effet peut tre utilis pour crer des sorts et des enchantements.\n" ..
            "\n" ..
            "Dsactiver cette option ne supprimera pas les sorts ou enchantements que vous aurez dj cr sur votre partie.\n" ..
            "\n" ..
            "Par dfaut : activ",
        variable = mwse.mcm.createTableVariable{
            id = "enableTrap",
            table = config,
        },
        restartRequired = true,
        defaultSetting = true,
    }

    page:createYesNoButton{
        label = "Activer Dtection des portes",
        description =
            "Si cette option est active, un nouveau sort avec l'effet Dtection des portes sera disponible auprs de certains vendeurs de sorts.\n" ..
            "\n" ..
            "Cet effet peut tre utilis pour crer des sorts et des enchantements.\n" ..
            "\n" ..
            "Dsactiver cette option ne supprimera pas les sorts ou enchantements que vous aurez dj cr sur votre partie.\n" ..
            "\n" ..
            "Par dfaut : activ",
        variable = mwse.mcm.createTableVariable{
            id = "enableDoor",
            table = config,
        },
        restartRequired = true,
        defaultSetting = true,
    }

    page:createOnOffButton{
        label = "Mode BTBGI",
        description =
            "Si cette option est active, les changements du mod appliqus  certains sorts du jeu de base seront ajusts pour tre consistants avec le mod BTB's Game Improvements (jamais traduit).\n" ..
            "\n" ..
            "Si Dtection des piges est activ, le sort vanilla Dtection des cls possdera ces deux effets avec une porte et une dure plus leve ainsi qu'un cot en magie rduit, pour s'aligner sur les changements de BTBGI.\n" ..
            "\n" ..
            "Le sort du signe de la Tour, Nez de mendiant, ne sera pas modifi, mme si vous activez Dtection des piges, car BTBGI fait de ce sort une capacit permanente et en retire l'effet de dtection des cls.\n" ..
            "\n" ..
            "Si Dtection des portes est activ, le nouveau sort ajout par cette option durera plus longtemps et cotera moins cher en magie, pour s'aligner sur les changements de BTBGI apports aux autres sorts de dtection.\n" ..
            "\n" ..
            "Enfin, le cot de base en magie des nouveaux effets sera drastiquement rduit pour s'aligner sur les changements apports aux cots de base des autres effets de dtection faits par BTBGI.\n" ..
            "\n" ..
            "Par dfaut : dsactiv",
        variable = mwse.mcm.createTableVariable{
            id = "btbgiMode",
            table = config,
        },
        restartRequired = true,
        defaultSetting = false,
    }

    return page
end

local template = mwse.mcm.createTemplate("Dtection amliore")
template:saveOnClose("EnhancedDetection", config)

createPage(template)

mwse.mcm.register(template)
